using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BusinessLogicContracts
{
    public interface ISupplyLogic
    {
        List<SupplyViewModel>? ReadList(SupplySearchModel? model);
        SupplyViewModel? ReadElement(SupplySearchModel model);
        bool Create(SupplyBindingModel model);
        bool Update(SupplyBindingModel model);
        bool Delete(SupplyBindingModel model);
        bool TakeInWork(SupplyBindingModel model);
        bool Finish(SupplyBindingModel model);
        bool AddOrder(SupplySearchModel supplymodel, OrderSearchModel model);
    }
}
